SystemOrganization addCategory: #ConfigurationOfGrafoscopio!

Object subclass: #ConfigurationOfGrafoscopio
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfGrafoscopio'!

!ConfigurationOfGrafoscopio commentStamp: 'OffrayLuna 2/22/2016 17:22' prior: 0!
I manage the installation of Grafoscopio. Grafoscopio is a tool for interative notebooks/documentation and data visualization.

For more details about this project, look for the
Grafoscopio package in the system browser or at: http://mutabit.com/grafoscopio/index.en.html!

!ConfigurationOfGrafoscopio class methodsFor: 'development support' stamp: 'OffrayLuna 2/17/2016 11:37'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfGrafoscopio class methodsFor: 'private' stamp: 'OffrayLuna 2/17/2016 11:37'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfGrafoscopio class methodsFor: 'catalog' stamp: 'OffrayLuna 2/22/2016 20:30'!
catalogContactInfo
	^'mail: info@mutabit.com | web: http://mutabit.com/grafoscopio/'! !

!ConfigurationOfGrafoscopio class methodsFor: 'catalog' stamp: 'OffrayLuna 2/22/2016 17:11'!
catalogDescription
	^'Grafoscopio is a tool to create interactive notebooks and documentation for computer narratives and data visualization.
	They are structured as outlines/trees containing textual and code nodes that can be exported to several formats: LaTeX, HTML
	and pdf (via pandoc).
	It can be used in several endeavors like: reproductible open research and science, data journalism, data activism among others'! !

!ConfigurationOfGrafoscopio class methodsFor: 'catalog' stamp: 'OffrayLuna 2/22/2016 22:41'!
catalogKeywords
	^ #(#'data-activism' #'data-journalism' #'data-science' #'data-visualization' documentation #'interactive-notebook' 'markup' 'markdown' #'open-data' #'open-research' #'open-science' #'reproducible-research')! !

!ConfigurationOfGrafoscopio class methodsFor: 'private' stamp: 'OffrayLuna 2/17/2016 11:37'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfGrafoscopio class methodsFor: 'private' stamp: 'OffrayLuna 2/17/2016 11:37'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfGrafoscopio class methodsFor: 'metacello tool support' stamp: 'OffrayLuna 2/17/2016 11:37'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfGrafoscopio class methodsFor: 'loading' stamp: 'OffrayLuna 2/17/2016 11:37'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfGrafoscopio class methodsFor: 'loading' stamp: 'OffrayLuna 2/17/2016 11:37'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfGrafoscopio class methodsFor: 'loading' stamp: 'OffrayLuna 2/17/2016 11:37'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfGrafoscopio class methodsFor: 'accessing' stamp: 'OffrayLuna 2/17/2016 11:37'!
project

	^self new project! !

!ConfigurationOfGrafoscopio class methodsFor: 'development support' stamp: 'OffrayLuna 2/17/2016 11:37'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfGrafoscopio methodsFor: 'baselines' stamp: 'OffrayLuna 2/17/2016 11:45'!
baseline01: spec
	<version: '0.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/Offray/Grafoscopio/main/'.
		spec project: 'Ston' with: [
				spec
					className: #ConfigurationOfSton;
					versionString: #'stable';
					repository: 'http://ss3.gemstone.com/ss/STON' ].
		spec package: #Grafoscopio.
		spec group: 'Core' with: #(#Grafoscopio ). ].
! !

!ConfigurationOfGrafoscopio methodsFor: 'baselines' stamp: 'OffrayLuna 2/22/2016 21:56'!
baseline02: spec
	<version: '0.2-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/Offray/Grafoscopio/main/'.
		spec project: 'Ston' with: [
				spec
					className: #ConfigurationOfSton;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo40/main/';
					repository: 'http://ss3.gemstone.com/ss/STON' ].
		spec package: #Grafoscopio.
		spec group: 'Core' with: #(#Grafoscopio ). ].
! !

!ConfigurationOfGrafoscopio methodsFor: 'baselines' stamp: 'OffrayLuna 2/23/2016 15:28'!
baseline03: spec
	<version: '0.3-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo50/main/'.
		spec project: 'Ston' with: [
				spec
					className: #ConfigurationOfSton;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo40/main/';
					repository: 'http://ss3.gemstone.com/ss/STON' ].
		spec package: #Grafoscopio.
		spec group: 'Core' with: #(#Grafoscopio ). ].
! !

!ConfigurationOfGrafoscopio methodsFor: 'baselines' stamp: 'OffrayLuna 2/25/2016 11:43'!
baseline04: spec
	<version: '0.4-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo40/main/'.
		spec project: 'Ston' with: [
				spec
					className: #ConfigurationOfSton;
					versionString: '0.14';
					repository: 'http://smalltalkhub.com/mc/Pharo/MetaRepoForPharo40/main/';
					repository: 'http://ss3.gemstone.com/ss/STON' ].
		spec package: #Grafoscopio.
		spec group: 'Core' with: #(). ].
! !

!ConfigurationOfGrafoscopio methodsFor: 'baselines' stamp: 'OffrayLuna 3/3/2016 12:08'!
baseline05: spec
	<version: '0.5-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/Offray/Grafoscopio'.
		spec project: 'Ston' with: [
				spec
					className: #ConfigurationOfSton;
					versionString: '0.14';
					repository: 'http://ss3.gemstone.com/ss/STON' ].
		spec package: #Grafoscopio.
		spec group: 'Core' with: #(). ].
! !

!ConfigurationOfGrafoscopio methodsFor: 'baselines' stamp: 'OffrayLuna 3/4/2016 11:42'!
baseline06: spec
	<version: '0.6-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/Offray/Grafoscopio'.
		spec project: 'Ston' with: [
				spec
					className: #ConfigurationOfSton;
					versionString: #'stable';
					repository: 'http://ss3.gemstone.com/ss/STON' ].
		spec package: #Grafoscopio.
		spec group: 'Core' with: #(). ].
! !

!ConfigurationOfGrafoscopio methodsFor: 'accessing' stamp: 'OffrayLuna 2/17/2016 11:37'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfGrafoscopio methodsFor: 'symbolic versions' stamp: 'OffrayLuna 3/4/2016 11:43'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.6-baseline'.
! !

!ConfigurationOfGrafoscopio methodsFor: 'as yet unclassified' stamp: 'OffrayLuna 2/25/2016 12:13'!
postLoadForGrafoscopio
	GrafoscopioBrowser startDockingBar! !

!ConfigurationOfGrafoscopio methodsFor: 'accessing' stamp: 'OffrayLuna 2/17/2016 11:37'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfGrafoscopio methodsFor: 'symbolic versions' stamp: 'OffrayLuna 3/4/2016 11:43'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '0.7'.
! !

!ConfigurationOfGrafoscopio methodsFor: 'versions' stamp: 'OffrayLuna 2/22/2016 17:43'!
version01: spec
	<version: '0.1' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.1'.
		spec author: 'OffrayLuna'.
		spec timestamp: '2/22/2016 17:43'.
		spec project: 'Ston' with: '0.14'.
		spec package: #Grafoscopio with: 'Grafoscopio-OffrayLuna.146'. ].
! !

!ConfigurationOfGrafoscopio methodsFor: 'versions' stamp: 'OffrayLuna 2/22/2016 21:58'!
version02: spec
	<version: '0.2' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.2'.
		spec author: 'OffrayLuna'.
		spec timestamp: '2/22/2016 21:58'.
		spec project: 'Ston' with: '0.14'.
		spec package: #Grafoscopio with: 'Grafoscopio-OffrayLuna.146'. ].
! !

!ConfigurationOfGrafoscopio methodsFor: 'versions' stamp: 'OffrayLuna 2/22/2016 22:43'!
version03: spec
	<version: '0.3' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.3'.
		spec author: 'OffrayLuna'.
		spec timestamp: '2/22/2016 22:43'.
		spec project: 'Ston' with: '0.14'.
		spec package: #Grafoscopio with: 'Grafoscopio-OffrayLuna.146'. ].
! !

!ConfigurationOfGrafoscopio methodsFor: 'versions' stamp: 'OffrayLuna 2/23/2016 15:29'!
version04: spec
	<version: '0.4' imports: #('0.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.4'.
		spec author: 'OffrayLuna'.
		spec timestamp: '2/23/2016 15:29'.
		spec project: 'Ston' with: '0.14'.
		spec package: #Grafoscopio with: 'Grafoscopio-OffrayLuna.146'. ].
! !

!ConfigurationOfGrafoscopio methodsFor: 'versions' stamp: 'OffrayLuna 2/26/2016 16:39'!
version05: spec
	<version: '0.5' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.5'.
		spec author: 'OffrayLuna'.
		spec timestamp: '2/25/2016 11:43'.
		spec project: 'Ston' with: '0.14'.
		spec package: #Grafoscopio with: 'Grafoscopio-OffrayLuna.152'.
		spec package: #Grafoscopio with: [ spec postLoadDoIt: #postLoadForGrafoscopio ] ].
! !

!ConfigurationOfGrafoscopio methodsFor: 'versions' stamp: 'OffrayLuna 3/3/2016 12:18'!
version06: spec
	<version: '0.6' imports: #('0.5-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.6'.
		spec author: 'OffrayLuna'.
		spec timestamp: '3/2/2016 18:47'.
		spec project: 'Ston' with: '0.14'.
		spec package: #Grafoscopio with: 'Grafoscopio-OffrayLuna.154'.
		spec package: #Grafoscopio with: [ spec postLoadDoIt: #postLoadForGrafoscopio ] ].
! !

!ConfigurationOfGrafoscopio methodsFor: 'versions' stamp: 'OffrayLuna 3/26/2016 11:53'!
version07: spec
	<version: '0.7' imports: #('0.6-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'version 0.7'.
		spec author: 'OffrayLuna'.
		spec timestamp: '26 March 2016 11:53:24'.
		spec project: 'Ston' with: #'stable'.
		spec package: #Grafoscopio with: 'Grafoscopio-OffrayLuna.170'. 
		spec package: #Grafoscopio with: [ spec postLoadDoIt: #postLoadForGrafoscopio ] ].
! !
